search cancel

Cobol Control Flow display not working

book

Article ID: 243208

calendar_today

Updated On:

Products

Brightside

Issue/Introduction

Error received after editing a Cobol program via the Endevor Explorer in vsCode and right clicking then selecting the Generate Cobol Flow option. 

Control Flow version 1.0.1

 

Cause

Cobol Control flow depends on Cobol Language Support (Cobol LS) vscode extension. 

Prerequisites for Cobol LS: 
Java version 8 or higher with the PATH variable correctly configured. 

Environment

Release : 3.0

Component : Cobol Control Flow

Resolution

  1. Install Java 8 or higher on the system where Cobol LS is installed.  
  2. Update PATH environment variable - Add JAVA_HOME to PATH.